unit Command;

interface

const
  cmFitWindow = 'FitWindow';
  cmZoomIn = 'ZoomIn';
  cmZoomOut = 'ZoomOut';
  cmSmoothZoomIn = 'SmoothZoomIn';
  cmSmoothZoomOut = 'SmoothZoomOut';
  cmPicInfo = 'PicInfo';
  cmFullScreen = 'FullScreen';
  cmStretchMode = 'StretchMode';
  cmHideBorder = 'HideBorder';
  cmStayOnTop = 'StayOnTop';
  cmZoom50 = 'Zoom50';
  cmZoom100 = 'Zoom100';
  cmZoom150 = 'Zoom150';
  cmZoom200 = 'Zoom200';
  cmZoom300 = 'Zoom300';
  cmZoom400 = 'Zoom400';
  cmZoom800 = 'Zoom800';
  cmNextImage = 'NextImage';
  cmPrevImage = 'PrevImage';
  cmNextFile = 'NextFile';
  cmPrevFile = 'PrevFile';
  cmRefreshFileList = 'RefreshFileList';
  cmScrollTop = 'ScrollTop';
  cmScrollBottom = 'ScrollBottom';
  cmScrollTopBottom = 'ScrollTopBottom';
  cmScrollUp = 'ScrollUp';
  cmScrollDown = 'ScrollDown';
  cmScrollLeft = 'ScrollLeft';
  cmScrollRight = 'ScrollRight';
  cmAboutPlugins = 'AboutPlugins';
  cmCopyFileName = 'CopyFileName';
  cmReloadImage = 'ReloadImage';
  cmAbout = 'About';
  cmExit = 'Exit';
  cmSetWallPaper = 'SetWallPaper';
  cmSetWallPaperTile = 'SetWallPaperTile';
  cmShowColorValue = 'ShowColorValue';
  cmSaveAs = 'SaveAs';
  cmScaleFilter = 'ScaleFilter';
  cmShowGrid = 'ShowGrid';
  cmNextWindow = 'NextWindow';
  cmPrevWindow = 'PrevWindow';

  CmdList: array[0..41] of string = (
    cmFitWindow,
    cmZoomIn,
    cmZoomOut,
    cmSmoothZoomIn,
    cmSmoothZoomOut,
    cmPicInfo,
    cmFullScreen,
    cmStretchMode,
    cmHideBorder,
    cmStayOnTop,
    cmZoom50,
    cmZoom100,
    cmZoom150,
    cmZoom200,
    cmZoom300,
    cmZoom400,
    cmZoom800,
    cmNextImage,
    cmPrevImage,
    cmNextFile,
    cmPrevFile,
    cmRefreshFileList,
    cmScrollTop,
    cmScrollBottom,
    cmScrollTopBottom,
    cmScrollUp,
    cmScrollDown,
    cmScrollLeft,
    cmScrollRight,
    cmAboutPlugins,
    cmCopyFileName,
    cmReloadImage,
    cmAbout,
    cmExit,
    cmSetWallPaper,
    cmSetWallPaperTile,
    cmShowColorValue,
    cmSaveAs,
    cmScaleFilter,
    cmShowGrid,
    cmNextWindow,
    cmPrevWindow
  );

  MenuTable: array[0..44*2-1] of string = (
    '&Previous Image',      cmPrevImage,
    '&Next Image',          cmNextImage,
    'P&revious File',       cmPrevFile,
    'N&ext File',           cmNextFile,
    'Re&load File',         cmReloadImage,
    '-',                    '',
    '&Fit Window',          cmFitWindow,
    '&Stretch Mode',        cmStretchMode,
    'Enable Scale &Filter', cmScaleFilter,
    '-',                    '',
    'Original Size (&1)',   cmZoom100,
    'Zoom In (&+)',         cmZoomIn,
    'Zoom Out (&-)',        cmZoomOut,
    '&Zoom',                 '{ZoomMenu',
      '&50%',               cmZoom50,
      '&100%',              cmZoom100,
      '150%(&Q)',           cmZoom150,
      '&200%',              cmZoom200,
      '&300%',              cmZoom300,
      '&400%',              cmZoom400,
      '&800%',              cmZoom800,
    '',                     '}',
    '-',                    '',
    'Full &Screen',         cmFullScreen,
    'Stay &On Top',         cmStayOnTop,
    'Hide &Border',         cmHideBorder,
    '-',                    '',
    'Picture &Information', cmPicInfo,
    'Show Color &Value',    cmShowColorValue,
    '-',                    '',
    '&Copy File Name',      cmCopyFileName,
    'Save &As...',          cmSaveAs,
    'Set As &Wallpaper',    '{WallPaperMenu',
      '&Normal',            cmSetWallPaper,
      '&Tile',              cmSetWallPaperTile,
    '',                     '}',
    '-',                    '',
    'Pl&ugin Setting',     '{PluginMenu',
    '',                     '}',
    '-',                    '',
    'About Plu&gins',       cmAboutPlugins,
    '&About',               cmAbout,
    '-',                    '',
    'E&xit',                cmExit
  );

  DefaultKeys: array[0..46*2-1] of string = (
    'Enter',  cmFullScreen,
    'Esc',    cmExit,
    'Space',  cmScrollTopBottom,
    'PgUp',   cmZoomIn,
    'PgDn',   cmZoomOut,
    'End',    cmScrollBottom,
    'Home',   cmScrollTop,
    'Left',   cmScrollLeft,
    'Up',     cmScrollUp,
    'Right',  cmScrollRight,
    'Down',   cmScrollDown,
    'C-Tab',  cmNextWindow,
    'CS-Tab', cmPrevWindow,
    'Num1',   cmZoom100,
    'Num2',   cmZoom200,
    'Num3',   cmZoom300,
    'Num4',   cmZoom400,
    'Num5',   cmZoom50,
    'Num8',   cmZoom800,
    '1',      cmZoom100,
    '2',      cmZoom200,
    '3',      cmZoom300,
    '4',      cmZoom400,
    '5',      cmZoom50,
    '8',      cmZoom800,
    'B',      cmPrevImage,
    'S-B',    cmPrevFile,
    'C-B',    cmHideBorder,
    'C',      cmShowColorValue,
    'C-C',    cmCopyFileName,
    'C-G',    cmShowGrid,
    'N',      cmNextImage,
    'S-N',    cmNextFile,
    'F',      cmFitWindow,
    'C-F',    cmScaleFilter,
    'I',      cmPicInfo,
    'P',      cmPrevImage,
    'Q',      cmZoom150,
    'R',      cmReloadImage,
    'C-R',    cmRefreshFileList,
    'S',      cmStretchMode,
    'T',      cmStayOnTop,
    'X',      cmZoomOut,
    'S-X',    cmSmoothZoomOut,
    'Z',      cmZoomIn,
    'S-Z',    cmSmoothZoomIn
  );

implementation

end.
